#jsp全局变量
application:
  default-password: 123456
  upload-file-limit-bytes : 5242880
#multipart:max-file-size=10mb
#maxFileSize = 10Mb
#multipart.maxRequestSize=100Mb

#设置tomcat端口号
server:
  port: 8888
  context-path: /police
  servlet:
    session:
      timeout: PT60M

spring:
  profiles:
    active: @spring.profiles.active@
  devtools:
    restart:
      enabled: false
  mvc:
    view:
      prefix: /WEB-INF/jsp/views
      suffix: .jsp
  http:
    multipart:
      max-file-size: 8MB
      max-request-size: 30MB
  application:
    name: sp
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 102400KB


mybatis-plus:
  mapper-locations: classpath:/mybatis/**/*Mapper.xml
  typeAliasesPackage: com.bcxin.sp
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 2
    #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
    field-strategy: 1
    #驼峰下划线转换
    db-column-underline: false
    #刷新mapper 调试神器
    refresh-mapper: true
    #数据库大写下划线转换
    capital-mode: false
    #序列接口实现类配置
    #key-generator: com.baomidou.springboot.xxx
    #逻辑删除配置
    #logic-delete-value: 0
    #logic-not-delete-value: 1
    #自定义填充策略接口实现
    #meta-object-handler: com.baomidou.springboot.xxx
    #自定义SQL注入器
    #sql-injector: com.baomidou.springboot.xxx
  configuration:
    map-underscore-to-camel-case: false
    cache-enabled: false
#    interceptions: com.bcxin.sp.config.interceptor.SqlInterceptor


# Shiro
shiro:
  user:
    # 登录地址
    loginUrl: /security/login
    # 权限认证失败地址
    unauthorizedUrl: /security/login
    # 首页地址
    indexUrl: /business/pc/index
    # 验证码开关
    captchaEnabled: false
    # 验证码类型 math 数组计算 char 字符
    captchaType: math
  cookie:
    # 设置Cookie的域名 默认空，即当前访问的域名
    domain:
    # 设置cookie的有效访问路径
    path: /
    # 设置HttpOnly属性
    httpOnly: true
    # 设置Cookie的过期时间，天为单位
    maxAge: 60
    # 设置密钥，务必保持唯一性（生成方式，直接拷贝到main运行即可）KeyGenerator keygen = KeyGenerator.getInstance("AES"); SecretKey deskey = keygen.generateKey(); System.out.println(Base64.encodeToString(deskey.getEncoded()));
    cipherKey: 3JJD1/KAMPIB4rUevtbqvg==
  session:
    # Session超时时间，-1代表永不过期（默认30分钟）
    expireTime: 60
    # 同步session到数据库的周期（默认1分钟）
    dbSyncPeriod: 1
    # 相隔多久检查一次session的有效性，默认就是10分钟
    validationInterval: 60
    # 同一个用户最大会话数，比如2的意思是同一个账号允许最多同时两个人登录（默认-1不限制）
    maxSession: -1
    # 踢出之前登录的/之后登录的用户，默认踢出之前登录的用户
    kickoutAfter: false
